@import '../../@theme/styles/themes';
@import '~bootstrap/scss/mixins/breakpoints';
@import '~@nebular/theme/styles/global/breakpoints';

@include nb-install-component() {
  .solar-card nb-card-header {
    border: none;
    padding-bottom: 0;
  }

  @include media-breakpoint-down(sm) {
    ngx-traffic {
      display: none;
    }
  }
}

.card-container {
  display: flex;

  .icon-container {
    height: 100%;
    padding: 0.625rem;

    .icon {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 4.75rem;
      height: 4.75rem;
      font-size: 3.75rem;
      border-radius: 50%;
      transition: width 0.4s ease;
      transform: translateZ(0);
      transform-style: preserve-3d;
      -webkit-transform-style: preserve-3d;
      backface-visibility: hidden;
      -webkit-backface-visibility: hidden;
      color: #fff;

      nb-icon {
        font-size: 2.5rem;
      }
    }
  }
  
  .details {
    display: flex;
    padding: 0 0.625rem;

    flex-direction: column;
    justify-content: center;
    margin-left: auto;

    .title {
      margin-bottom: 0.75rem;
      font-size: 3rem;
    }
  }
}

// .status-danger {
//   background-image: linear-gradient(90deg, #ff708d, #ff3d71);
// }

// .status-warning {
//   background-image: linear-gradient(90deg, #ffc94d, #fa0);
// }

.status-primary {
  background-image: linear-gradient(90deg, nb-theme(color-primary-400), nb-theme(color-primary-500));
}

// .status-info {
//   background-image: linear-gradient(90deg, #42aaff, #0095ff);
// }

// .status-success {
//   background-image: linear-gradient(90deg, #2fffba, #00d68f);
// }


.custom-card-footer {
  padding: 0.625rem;
  border-top: 1px solid #edf1f7;
  border-bottom-left-radius: 0.25rem;
  border-bottom-right-radius: 0.25rem;
}
